#ifndef IPCORE_H_
#define IPCORE_H_

#include <cassert>
#include <string>

namespace cosi {

namespace environment {

namespace onchipcommunication {

using namespace std ;

class IpCore
{

public:

    IpCore( ) ;

    IpCore( string Name ) ;

    IpCore( string Name , double Area ) ;

    double GetArea( ) ;

    void SetArea( double Area ) ;

    string GetName( ) ;

    void SetName( string Name ) ;

    string GetComponentName() ;
    void SetComponentName(string Name) ;

private:

    string mName ;

    string mComponentName ;

    double mArea ;

} ;

}
}
}

#endif /*IPCORE_H_*/
